Subject: RE: [mobile-ip] Unresolved issue #14: RR ESP protection keyword

From: "Karen E Nielsen (TED)" <[email-masked]>
Date: Thu, 11 Apr 2002 10:27:15 +0200

> I don't think we need to scan the contents of the mobility 
> header type field,
> though. One rule can specify what to do for HoA <-> HA: MH 
> traffic and another
> rule for HoA <-> Any: MH traffic. If the rules are presented 
> in this order,
> it should work. (Per RFC 2401, the SPD entries are ordered.)
> 

Yah, you're right (again).

> Jari
Karen

---

From: Erik Nordmark <[email-masked]>
Date: Wed, 17 Apr 2002 04:50:27 +0200 (CEST)

> This of course mean that the IPSEC selectors should be able to scan
> the Mobility Header Type field (RR HOT is MH type 3, BU is MH type 5 etc.)
> Does anyone see a problem with this ?

I've been assuming that the policy would be broader by covering all
packets with protocol=MH that are being forwarded by the HA.
The BU/BA/BR packets are sent directly between CN and MN so
in practise this will not mean that more packets get encrypted
by the HA.

  Erik